Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.map
Class DetectedDbEntity

    java.lang.Object
      org.apache.cayenne.map.Entity
          org.apache.cayenne.map.DbEntity
              org.apache.cayenne.map.DetectedDbEntity

All Implemented Interfaces:
  Serializable, EventListener, DbAttributeListener, DbEntityListener, DbRelationshipListener, CayenneMapEntry, XMLSerializable

    public class DetectedDbEntity

extends DbEntity

A `DbEntity` subclass used to hold extra JDBC metadata.

See Also:
  Serialized Form

Field Summary
`protected String` | `primaryKeyName`

Fields inherited from class org.apache.cayenne.map.DbEntity
`catalog, generatedAttributes, primaryKey, primaryKeyGenerator, qualifier, schema`

Fields inherited from class org.apache.cayenne.map.Entity
`attributes, dataMap, name, OUTER_JOIN_INDICATOR, PATH_SEPARATOR, relationships`

Constructor Summary
`DetectedDbEntity(String name)`

Method Summary
`String` | `getPrimaryKeyName()` Returns the optional primary key name of this DbEntity.
`void` | `setPrimaryKeyName(String primaryKeyName)` Sets the optional primary key name of this DbEntity.

Methods inherited from class org.apache.cayenne.map.DbEntity
`addAttribute, addAttribute, clearAttributes, dbAttributeAdded, dbAttributeChanged, dbAttributeRemoved, dbEntityAdded, dbEntityChanged, dbEntityRemoved, dbRelationshipAdded, dbRelationshipChanged, dbRelationshipRemoved, encodeAsXML, getAttributes, getCatalog, getFullyQualifiedName, getGeneratedAttributes, getPrimaryKey, getPrimaryKeyGenerator, getPrimaryKeys, getQualifier, getRelationshipMap, getRelationships, getSchema, isFullReplacementIdAttached, lastPathComponent, removeAttribute, resolvePath, resolvePathComponents, setCatalog, setPrimaryKeyGenerator, setQualifier, setSchema, translateToRelatedEntity`

Methods inherited from class org.apache.cayenne.map.Entity
`addRelationship, clearRelationships, getAnyRelationship, getAttribute, getAttributeMap, getDataMap, getName, getParent, getRelationship, lastPathComponent, removeRelationship, resolvePathComponents, setDataMap, setName, setParent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### primaryKeyName

    protected String primaryKeyName

Constructor Detail

### DetectedDbEntity

    public DetectedDbEntity(String name)

Method Detail

### setPrimaryKeyName

    public void setPrimaryKeyName(String primaryKeyName)

  Sets the optional primary key name of this DbEntity. This is not the same as the name of the DbAttribute, but the name of the unique constraint.

### getPrimaryKeyName

    public String getPrimaryKeyName()

  Returns the optional primary key name of this DbEntity. This is not the same as the name of the DbAttribute, but the name of the unique constraint.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.